<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta http-equiv="Permissions-Policy" content="interest-cohort=()">
		<link rel="shortcut icon"  type="image/ico" href="images/favicon.ico">
		<title>Street Fighter II</title>
		<!-- Style CSS -->
		<link rel="stylesheet" href="index.css" />
		<!-- Script -->
		<script type="module" src="src/index.js"></script>
	</head>
	<body>
		<!-- Canvas -->
		<canvas></canvas>

		<!-- Sprites -->
		<img src="images/ken-stage.png" alt="stage" />
		<img src="images/misc.png" alt="misc" />
		<img src="images/decals.png" alt="decals" />
		<img src="images/shadow.png" alt="shadow" />
		<img src="images/ken.png" alt="ken" />
		<img src="images/ryu.png" alt="ryu" />

		<!-- Sounds -->
		<audio
			id="theme-ken"
			src="./sounds/theme-ken-main-cps1.ogg"
			preload="auto"
			loop
		></audio>

		<audio
			id="sound-fighter-land"
			src="./sounds/land.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-light-attack"
			src="./sounds/light-attack.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-light-punch-hit"
			src="./sounds/light-punch-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-light-kick-hit"
			src="./sounds/light-kick-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-medium-attack"
			src="./sounds/medium-attack.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-medium-punch-hit"
			src="./sounds/medium-punch-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-medium-kick-hit"
			src="./sounds/medium-kick-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-heavy-attack"
			src="./sounds/heavy-attack.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-heavy-punch-hit"
			src="./sounds/heavy-punch-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-fighter-heavy-kick-hit"
			src="./sounds/heavy-kick-hit.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-ryu-voice-hadouken"
			src="./sounds/voice-hadouken.ogg"
			preload="auto"
		></audio>

		<audio
			id="sound-ken-voice-hadouken"
			src="./sounds/voice-hadouken.ogg"
			preload="auto"
		></audio>
	</body>
</html>
